Skip to main content
POST
/
external-apps
Create a new app
curl --request POST \
  --url https://api.getmembrane.com/external-apps \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "name": "<string>",
  "appUri": "<string>",
  "logoUri": "<string>",
  "tenantId": "<string>"
}
'
{
  "id": "<string>",
  "key": "<string>",
  "isReadOnly": true,
  "uuid": "<string>",
  "name": "<string>",
  "appUri": "<string>",
  "logoUri": "<string>",
  "defaultConnectorId": "<string>",
  "categories": [
    "<string>"
  ],
  "popularity": 123,
  "isPublic": true,
  "isConnected": true,
  "basePackageId": "<string>",
  "readmeSlug": "<string>",
  "hasAuth": true,
  "hasData": true,
  "hasFreeTestAccount": true,
  "freeTestAccountGuide": "<string>",
  "freeTestAccountGuideVerifiedAt": "2023-11-07T05:31:56Z",
  "openapiSpecs": [
    {
      "name": "<string>",
      "sourceUri": "<string>"
    }
  ],
  "tenantId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
key
string
required

Machine key (e.g., "attio"). Unique per workspace.

Minimum string length: 1
name
string
required

Human-readable app name (e.g., "Attio").

Minimum string length: 1
appUri
string<uri>

App's main URL (e.g., "https://attio.com").

logoUri
string<uri>
tenantId
string

Response

200 - application/json
id
string
required
key
string
required
isReadOnly
boolean
required
uuid
string
required
name
string
required
appUri
string<uri>
required
logoUri
string<uri>
required
defaultConnectorId
string
required
categories
string[]
required
popularity
number
required
isPublic
boolean
isConnected
boolean
basePackageId
string
readmeSlug
string
hasAuth
boolean
hasData
boolean
hasFreeTestAccount
boolean | null
freeTestAccountGuide
string
freeTestAccountGuideVerifiedAt
string<date-time> | null
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
openapiSpecs
object[]
tenantId
string